package com.rjconsultores.ventaboletos.ws.rs;

import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import com.rjconsultores.ventaboletos.dao.ClientePacoteDAO;
import com.rjconsultores.ventaboletos.vo.busquedapacotes.ClientePacoteVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Path("")
public class BusquedaDatosClientePacoteRS {
	
	private static Logger log = LogManager.getLogger(BusquedaDatosClientePacoteRS.class);
	
	@GET
	@Path("/busquedadatosclientepacote")
	@Produces({ MediaType.APPLICATION_XML })
	public List<ClientePacoteVO> busquedaDatosClientePacote(@QueryParam("cpfcnpj") String cpfCnpjParam) {
		try {
			ClientePacoteDAO clientePacoteDao = (ClientePacoteDAO)AppContext.getApplicationContext().getBean("clientePacoteDAO");
			return clientePacoteDao.busquedaDatosClientePacote(cpfCnpjParam);
		} catch (Exception e) {
			log.error(e.getMessage(), e.getCause());
		}
		return null;
	}
	
}
